Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfAlignType

    java.lang.Object
      java.lang.Enum<OdfAlignType>
          org.odftoolkit.odfdom.dom.type.draw.OdfAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfAlignType>

    public enum OdfAlignType

extends Enum<OdfAlignType>

DOM implementation of OpenDocument attribute draw:align.

Enum Constant Summary
`BOTTOM_LEFT`
`BOTTOM_RIGHT`
`CENTER`
`LEFT`
`RIGHT`
`TOP`
`TOP_LEFT`
`TOP_RIGHT`

Method Summary
`static OdfAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfAlignType TOP

### RIGHT

    public static final OdfAlignType RIGHT

### LEFT

    public static final OdfAlignType LEFT

### BOTTOM_LEFT

    public static final OdfAlignType BOTTOM_LEFT

### TOP_RIGHT

    public static final OdfAlignType TOP_RIGHT

### TOP_LEFT

    public static final OdfAlignType TOP_LEFT

### BOTTOM_RIGHT

    public static final OdfAlignType BOTTOM_RIGHT

### CENTER

    public static final OdfAlignType CENTER

Method Detail

### values

    public static OdfAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfAlignType c : OdfAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfAlignType>`
  Returns:
    return the name of OdfAlignType

### toString

    public static String toString(OdfAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfAlignType, see draw:align
  Returns:
    return the name of OdfAlignType

### enumValueOf

    public static OdfAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfAlignType
  Returns:
    return the constant of OdfAlignType, see draw:align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.